/*!
 * @file plasma_pulse.h
 * @brief Pulsing Plasma projectile
*/

#ifndef _PLASMAPULSE_H
#define _PLASMAPULSE_H

#include "projectile.h"
#include "effects/billboard.h"
#include "effects/blink.h"

class Vector;
class Weapon;
class FastFactory;
class Wobblegrid;

class PlasmaPulse : public Projectile
{
  ObjectListDeclaration(PlasmaPulse);
  public:
    PlasmaPulse ();
    virtual ~PlasmaPulse ();

    virtual void activate();
    virtual void deactivate();

    virtual void destroy (WorldEntity* killer);

    virtual void tick (float dt);
    virtual void draw () const;

  private:
    static FastFactory*               fastFactory;
    Billboard*                        grid;
//     Blink*                            blink;
};

#endif /* _PLASMAPULSE_H */
